package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.BasicWeapon;

public class Vampire extends Enemy
{

    public Vampire()
    {
        super("Vampire", 90, 30, new BasicWeapon("Dark Claws", 18));
    }

    @Override
    public void attack(Entity target)
    {

        int damage = weapon.getDamage();
        target.takeDamage(damage);

        int healAmount = damage / 2;
        this.hp += healAmount;

        System.out.println(RED + "🧛 Vampire drains "
                + damage + " HP!" + RESET);

        System.out.println(YELLOW + "🩸 Vampire heals "
                + healAmount + " HP!" + RESET);
    }
}